Foreman - Feature #226

Return OutofSync, Error Host list from Dashboard controller as YAML
04/28/2010 11:32 PM - Bash Shell
Pull request:

Description

It is helpful to retrieve the OutofSync Host list via YAML.
This list can be copied easily from the browser or can be retrieved via wget as input to a script.

The script can then use ssh/func/mcollective etc to login and check why the host is Out of Sync (or in Error and restart puppet if
necessary)

A patch for OutofSync against "develop" is attached.

diff --git a/app/controllers/dashboard_controller.rb b/app/controllers/dashboard_controller.rb
index 3bf6384..e0e8lcb 100644
-—— a/app/controllers/dashboard_controller.rb
+++ b/app/controllers/dashboard_controller.rb
@@ -20,10 +20,16 @@ class DashboardController < ApplicationController
end

def OutOfSync
= hosts = Host.out_of_sync.paginate (:page => params|:page], :order => 'last_report DESC')
= render :partial => "hosts/minilist", :layout => true, :locals => {
. :hosts => hosts,
= :header => "Hosts which didnt run puppet in the last #{SETTINGS|[:puppet_interval]} minutes"

+ respond_to do |format|
+ format.html {
+ hosts = Host.out_of_sync.paginate (:page => params]|:page], :order => 'last_report DESC')
+ render :partial => "hosts/minilist", :layout => true, :locals => {
+ :hosts => hosts,
+ theader => "Hosts which didnt run puppet in the last #{SETTINGS[:puppet_interval]
} minutes" }
+ }
+ oos_list = Host.out_of_sync.each {|host| host.name<<"\n"}
+ format.yml { render :text => oos_list }
+ end
end
private

Associated revisions

Revision c030c794 - 05/02/2010 04:36 PM - Bash Shell
fixes #226 - Return OutofSync, Error Host list from Dashboard controller as YAML

History

#1 - 04/28/2010 11:35 PM - Bash Shell

Any suggestions on how to improve this?
#2 - 04/29/2010 02:23 AM - Ohad Levy
any reason why not use the Query Interface instead?

#3 - 04/29/2010 08:33 PM - Bash Shell

Heres the git diff against latest develop:

diff --git a/app/controllers/dashboard_controller.rb b/app/controllers/dashboard_controller.rb
index 4ce8041..8e9e8c8 100644
-—- a/app/controllers/dashboard_controller.rb
+++ b/app/controllers/dashboard_controller.rb
@@ -22,11 +22,16 Q@ class DashboardController < ApplicationController
end

def OutOfSync
= @search = Host.out_of_sync.search(params|[:search])
= hosts = @search.paginate :page => params]|:page]
= render :partial => "hosts/minilist", :layout => true, :locals => ({
:hosts => hosts,
:header => "Hosts which didnt run puppet in the last #{SETTINGS|[:puppet_interval]} minutes" }

+ respond_to do |format|
+ format.html {
+ @search = Host.out_of_sync.search (params|[:search])
+ hosts = @search.paginate :page => params|[:page]
+ render :partial => "hosts/minilist", :layout => true, :locals => {
+ :hosts => hosts,
P :header => "Hosts which didnt run puppet in the last #{SETTINGS|[:puppet_interval]} minutes" }
+ }
+ format.yml { render :text => Host.out_of_sync.search (params[:search]) .map(&:name) .to_yaml }
+ end
end
private

#4 - 04/30/2010 04:08 AM - Ohad Levy
- Category set to Web Interface
- Assignee set to Bash Shell

- Target version set to 0.1-5

do you have the patch in github - or can you supply it via git format patch (so we keep the authorship of the patch)

additionally, | would make a small change:

@search = Host.out_of_sync.search (params|[:search])
respond_to do |format]
format.html {
hosts = @search.paginate :page => params]|:page]
render :partial => "hosts/minilist", :layout => true, :locals => {
thosts => hosts,
:header => "Hosts which didnt run puppet in the last #{SETTINGS|[:puppet_interval]} minutes" }
}
format.yml { render :text => @search.map(&:name).to_yaml }
end
end

what about other actions? or only out of sync hosts are interesting?

#5 - 05/02/2010 07:05 AM - Bash Shell
- File dash226.patch added

Patch.

Also at http://github.com/ashayh/foreman/tree/issue 226 .

#6 - 05/02/2010 04:39 PM - Bash Shell
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100
https://projects.theforeman.org/projects/foreman/wiki/Query_Interface
http://github.com/ashayh/foreman/tree/issue_226

Applied in changeset c030c794276e8d14b139b0710cb6acib5e167bb6.

#7 - 05/02/2010 07:12 PM - Bash Shell

| was thinking, that the Errors page returns Hosts with recent Reports only.
Wouldn't it be more useful to return ALL Hosts with Errors? (In both yml and html)
Same for Active.

#8 - 05/06/2010 04:07 PM - Ohad Levy
- Status changed from Ready For Testing to Closed

Files

dashboard_oos_yaml.patch 1.09 KB 04/28/2010 Bash Shell

dash226.patch 2.58 KB 05/02/2010 Bash Shell
05/11/2024 3/3


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c030c794276e8d14b139b0710cb6ac1b5e167bb6
http://www.tcpdf.org

